Page MenuHomePhabricator

Promote current alpha header to beta (for 1 month)
Closed, ResolvedPublic2 Story Points

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterPromote alpha header to beta
mediawiki/extensions/Gather : masterUpdate dependency

Event Timeline

JKatzWMF created this task.Jun 3 2015, 6:13 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2015, 6:13 PM
KLans_WMF set Security to None.Jun 3 2015, 6:22 PM
KLans_WMF edited a custom field.

In one month, there may not be alpha anymore.

phuedx added a subscriber: phuedx.Jun 16 2015, 3:04 PM

@JKatzWMF: Where's the context? What result(s) are we looking for? What do we intend to measure? Why 1 month?

@phuedx
Metrics: The goal is to measure impact on hamburger menu clicks (on icon and items) and search (start, click on result). 2 weeks might be sufficient for this.

Context: Early in the quarter we determined that this header is probably not our 'next header', but since it was almost ready to ship, I wanted to see how the design elements are playing out.

bmansurov moved this task from To Do to Doing on the Mobile-Web-Sprint-49-Wayne's-World board.

Change 219153 had a related patch set uploaded (by Bmansurov):
Promote alpha header to beta

https://gerrit.wikimedia.org/r/219153

@Jdlrobson, can you comment on my comment in the patch? thanks

Change 219807 had a related patch set uploaded (by Bmansurov):
Update dependency

https://gerrit.wikimedia.org/r/219807

Why is this ready for sign off and why is it in the last sprint still?

Change 219807 merged by jenkins-bot:
Update dependency

https://gerrit.wikimedia.org/r/219807

Not sure if this is meant to be in this sprint so clarification above required before reviewing.

To reply to https://phabricator.wikimedia.org/T101295#1370349
Personally I think we are using beta completely wrong in this case, but I reserve judgement here. It feels like we would get better data around this menu using a prototype from @pizzzacat there are far too many different things in beta to be able to measure impact on main menu clicks accurately, and even if we could trust the data I doubt it would be useful.

@Jdlrobson, I accidentally moved to ready for signoff when one of the dependencies was merged. The main patch is now ready for review. I guess we're just waiting for a reply to your question and that's why it's -1'ed above?

Yeh I just wanted to check since we committed to much less points and lots of stuff keeps creeping in... @phuedx ?

@Jdlrobson: AFAICT there isn't a lot of stuff that has crept into Reading-Web-Sprint-50-The-X-Files. There's the Gather work and a number of bugs around T102188 that I spotted during sign off.

To address your actual concern, this is less important than rounding off the Gather work.

phuedx triaged this task as Low priority.Jun 26 2015, 11:34 AM
KLans_WMF raised the priority of this task from Low to Normal.Jul 6 2015, 4:13 PM
phuedx added a comment.EditedJul 7 2015, 4:08 PM

Seems the file links don't work as I assumed…

The images that I was referring to in my review of 219153 were

and

I've updated the dependencies and submitted patches. Please review.

Change 219153 merged by jenkins-bot:
Promote alpha header to beta

https://gerrit.wikimedia.org/r/219153

phuedx closed this task as Resolved.Jul 10 2015, 2:07 PM

Verified on BC.

I'm not sure if T105880 counts as a regression but moving this back to ready for sign off until that has been clarified.

I've triaged the bug as high priority for the starting sprint :(.

Also created T106272 for tracking the analysis date.